import { p as proxyCustomElement, H, h } from './p-BhqVmlhr.js';
import { d as defineCustomElement$c } from './p-Bu11LCUv.js';
import { d as defineCustomElement$b } from './p-bvgZEbtQ.js';
import { d as defineCustomElement$a } from './p-CjYYybR1.js';
import { d as defineCustomElement$9 } from './p-DiC-xcof.js';
import { d as defineCustomElement$8 } from './p-Cv0O724A.js';
import { d as defineCustomElement$7 } from './p-BCRkCGSO.js';
import { d as defineCustomElement$6 } from './p-DSG8ROE8.js';
import { d as defineCustomElement$5 } from './p-CHiQv0Jr.js';
import { d as defineCustomElement$4 } from './p-Cwwrqxl_.js';
import { d as defineCustomElement$3 } from './p-Gy19R453.js';
import { d as defineCustomElement$2 } from './p-Dh-Mxr8V.js';

const DgaModalUsage = /*@__PURE__*/ proxyCustomElement(class DgaModalUsage extends H {
    constructor() {
        super();
        this.__registerHost();
        this.show = false;
    }
    render() {
        return (h("div", { key: 'b4695680db3a029cfe4efd2f71463fa0a092c605', style: { position: 'relative' } }, h("h1", { key: 'fa014db09c70f1ad61fb314b4d77ebbce2b36579' }, "Modal Example"), h("button", { key: 'bf791f1dcf3f50f1b2158f3616cdb2e45aede5c6', onClick: () => (this.show = true) }, "Open Modal"), h("dga-modal-v2", { key: 'a1ac745a5ad7aa0ea00f1e80c458092d96c0cf2b', open: this.show, showCloseButton: true, onClose: () => (this.show = false) }, h("dga-modal-header", { key: 'fef60331e21e2762446d0d1a295d8a0bd562b9f7' }, h("dga-featured-icon", { key: '7948e3c95ffd7e595353e4cd07c381d9d9fb8223', color: "brand", variant: "light", size: "md", icon: {
                name: 'InformationCircle',
                variant: 'stroke',
                type: 'sharp',
                size: 20,
            } }), h("dga-modal-title", { key: '69fa094498079aa226bc08570ec5203721aa2001' }, "Title goes here")), h("dga-modal-body", { key: '3c5905f25dee0e4f580ac195798de3ffe89d0921' }, h("dga-flex", { key: '4910340982107bb351dfb7f990a6321e82088cde', direction: "column", spacing: 8 }, h("p", { key: 'e63f88ba9eb8d37d42f93f21829c23b42078ee02', class: "text-sm-regular" }, "When a Modal needs a further detailed explanation, it goes here."), h("dga-rating", { key: 'a1cba77032c52fa04e7edf2ed5555c25c3821355' }))), h("dga-modal-actions", { key: '945da078b9f2abbfbd3020bc7017d369baf657e3' }, h("dga-button-v2", { key: 'e879ce66902f510cfb3e9d023d43f793bf102f3d', label: "Primary", size: "lg", variant: "primary", onClick: () => console.log('Primary Action') }), h("dga-button-v2", { key: 'ffc40448d203a3325c7ce264b86fb01b5bddfee7', label: "Secondary", size: "lg", variant: "secondary-outline", onClick: () => console.log('Secondary Action') })))));
    }
}, [0, "dga-modal-v2-usage", {
        "show": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["dga-modal-v2-usage", "dga-button-v2", "dga-featured-icon", "dga-flex", "dga-icon", "dga-icon-v2", "dga-modal-actions", "dga-modal-body", "dga-modal-header", "dga-modal-title", "dga-modal-v2", "dga-rating"];
    components.forEach(tagName => { switch (tagName) {
        case "dga-modal-v2-usage":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, DgaModalUsage);
            }
            break;
        case "dga-button-v2":
            if (!customElements.get(tagName)) {
                defineCustomElement$c();
            }
            break;
        case "dga-featured-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$b();
            }
            break;
        case "dga-flex":
            if (!customElements.get(tagName)) {
                defineCustomElement$a();
            }
            break;
        case "dga-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "dga-icon-v2":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "dga-modal-actions":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "dga-modal-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "dga-modal-header":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "dga-modal-title":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "dga-modal-v2":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "dga-rating":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const DgaModalV2Usage = DgaModalUsage;
const defineCustomElement = defineCustomElement$1;

export { DgaModalV2Usage, defineCustomElement };
